<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/modulo_permiso.php';

$modulos_permiso = ModuloPermiso::mdlGetModulosPermiso();

if (!$modulos_permiso) {
    echo json_encode([
        'response' => 'error', 
        'message' => 'No se encontraron modulos_permiso',
    ]);
    return;
}

http_response_code(200); // success
echo json_encode([
    'response' => 'success', 
    'message' => 'Se encontraron los tipos de usuario',
    'data' => $modulos_permiso
]);